Package com.microblink.blinkid.entities.recognizers.blinkid.generic.datamatch

# Class FieldState

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.datamatch.FieldState

All Implemented Interfaces:
  `android.os.Parcelable`

public class FieldState extends Object implements android.os.Parcelable
Data match state for one field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<FieldState>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldState(DataMatchField dataMatchField, DataMatchState state)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FieldState`
  `createFromNative(int fieldType, int state)`
  This method is called from native code to build `FieldState` from native object.
  `int`
  `describeContents()`
  `DataMatchField`
  `getFieldType()`
  Returns field on which the data match was performed.
  `DataMatchState`
  `getState()`
  Returns the state of the data match for the `DataMatchField`.
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<FieldState> CREATOR

- ## Constructor Details

  - ### FieldState

    public FieldState(DataMatchField dataMatchField, DataMatchState state)

- ## Method Details

  - ### createFromNative

    @NonNull public static FieldState createFromNative(int fieldType, int state)
    This method is called from native code to build `FieldState` from native object.

  - ### getFieldType

    public DataMatchField getFieldType()
    Returns field on which the data match was performed.
    Returns:
      the field n which the data match was performed

  - ### getState

    public DataMatchState getState()
    Returns the state of the data match for the `DataMatchField`.
    Returns:
      state of the data match for specified field

  - ### writeToParcel

    public void writeToParcel(android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`